<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.

  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.

  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"

 --%>

<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@page import="javax.portlet.*"%>
<%@page import="java.util.*"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<fmt:setBundle basename="MapPortlet" />
<portlet:defineObjects />
<portlet:actionURL var="actionURL">
</portlet:actionURL>
<%
    String msg = renderRequest.getParameter("webMsg");
    String[] badkeys = renderRequest.getParameterValues("failedKeys");
	List keylist=null;
	if (badkeys != null){
		keylist = Arrays.asList(badkeys);
	} 
	PortletPreferences prefs = renderRequest.getPreferences();
	String rh = renderRequest.getParameter("height");
	if (rh == null) rh=prefs.getValue("height","250");
    String rw = renderRequest.getParameter("width");
	if (rw == null) rw=prefs.getValue("width","350");
	String name = renderRequest.getParameter("TourName");
	String mc = renderRequest.getParameter("TourMap");
%>
<div id="title"><p><fmt:message key="edittitle"/></p></div>
<div id="inputPanel">
    <form name="mapform" target="_self" method="POST" action="<%=actionURL.toString()%>">
<%if (name != null) {%><input type="hidden" name="TourName" value="<%=name%>"><%}%>
<%if (mc != null) {%><input type="hidden" name="TourMap" value="<%=mc%>"><%}%>
		<table cellpadding="4">
        <tr><td><fmt:message key="height"/> <input type="text" name="height" value="<%=rh%>" maxlength="4" size="4"></td>
<td><% if (keylist !=null && keylist.contains("height")){%><div style="color:red;display"><fmt:message key="problem"/></div><%}%></td>
		</tr>
        <tr><td><fmt:message key="width"/> <input type="text" name="width" value="<%=rw%>" maxlength="4" size="4"></td>
<td><% if (keylist !=null && keylist.contains("width")){%><div style="color:red;display"><fmt:message key="problem"/></div><%}%></td>
		</tr>
		<tr><td colspan="2" align="center">
        <input type="submit" name="save" value="<fmt:message key="save"/>">
		<input type="submit" name="cancel" value="<fmt:message key="cancel"/>">
		</td></tr>
		</table>
    </form>
</div>


