<%--
  CDDL HEADER START
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License). You may not use this file except in
  compliance with the License.

  You can obtain a copy of the License at
  http://www.sun.com/cddl/cddl.html and legal/CDDLv1.0.txt
  See the License for the specific language governing
  permission and limitations under the License.

  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at legal/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  your own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"

  Copyright 2006 Sun Microsystems Inc. All Rights Reserved
  CDDL HEADER END
--%>

<%@ page import="javax.portlet.PortletURL,java.util.*" %>
<%@ page import="javax.servlet.jsp.jstl.fmt.LocalizationContext" %>
<%@ page session="false" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>

<fmt:setBundle basename="ListPortlet" var="rb" scope="request"/>
<fmt:setBundle basename="ListPortlet"/>
<portlet:defineObjects />
<portlet:actionURL var="aURL"></portlet:actionURL>
<style type="text/css" media="all">
<!--
#tourlist .selected  {
  margin: 0 -4px;
  display: block;
  padding: 4px;
  text-decoration: none;
  font-weight: bold;
}
#tourlist a.unselected:link,
#tourlist a.unselected:visited {
  margin: 0 -4px; 
  display: block;
  padding: 4px;
  text-decoration: none;
}
#tourlist a.unselected:hover {
  margin: 0 -4px;
  display: block;
  padding: 4px;
  text-decoration: underline;
}
-->
</style>
<div id="tourlist">
<p> <fmt:message key="tours" /> </p>
<%
LocalizationContext lc = (LocalizationContext) pageContext.getAttribute("rb",PageContext.REQUEST_SCOPE);
ResourceBundle rb = lc.getResourceBundle();
int i=0;
try {
	while(true){
		i++;
		String tour = "tour"+i;
		String name = rb.getString("tour"+i+".name");
		String guide = rb.getString("tour"+i+".guide");
		String desc = rb.getString("tour"+i+".description");
		String wc = rb.getString("tour"+i+".weathercode");
		String mc = rb.getString("tour"+i+".mapcode");
		if (name.equals(renderRequest.getParameter("name"))){
%><div class="selected"><%=name%></div><%
		} else {
	%><a href="<%=aURL.toString()%>&name=<%=name%>&guide=<%=guide%>&desc=<%=desc%>&wc=<%=wc%>&mc=<%=mc%>" class="unselected"><%=name%></a>
<%		}
	}
} catch (MissingResourceException mre){
	// no more tours
	if (i==1){
		// no tours found
%><fmt:message key="notours" /><%
	}
}
%></div>
